Skip to content
Pile
Esc
navigateopen⌘Jpreview

Create state

POST/workspaces/{organizationId}/states
Path parameters
organizationIdstringrequired
Request body
application/json
linearIdstringrequired
min length 1
namestringrequired
min length 1
typestringrequired
min length 1
colorstring
positionstring
Responses
201State created
idstringrequired
organizationIdstringrequired
linearIdstringrequired
namestringrequired
typestringrequired
colorstring | nullrequired
positionstring | nullrequired
createdAtstringrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST "/workspaces/string/states" \
  -H "Content-Type: application/json" \
  -d '{
  "linearId": "string",
  "name": "string",
  "type": "string",
  "color": "string",
  "position": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "linearId": "string",
  "name": "string",
  "type": "string",
  "color": "string",
  "position": "string",
  "createdAt": "string"
}